Hooks:PostHook(WeaponFactoryTweakData, "init", "TA648RMRModInit", function(self)
	local custom_sight_id = "wpn_fps_upg_o_ta648rmr"
	local custom_switch_id = "wpn_fps_upg_o_ta648rmr_switch"
	local based_on_id = "wpn_fps_upg_o_acog"
	local offset = Vector3(0, 7, -0.265803)
	local offset_switch = Vector3(0, -4, -6.637461)
	if self.parts[custom_sight_id].stance_mod then
		for _, wpn_id in pairs(self.parts[custom_sight_id].stance_mod) do
			if wpn_id.translation then
				wpn_id.translation = (wpn_id.translation + offset)
			end
		end
		self.parts[custom_sight_id].stance_mod.wpn_fps_smg_cobray = {translation = offset}
		self.parts[custom_sight_id].stance_mod.wpn_fps_ass_asval = {translation = offset}
		self.parts[custom_sight_id].stance_mod.wpn_fps_ass_sub2000 = {translation = offset}
	end
	if self.parts[custom_switch_id].stance_mod then
		self.parts[custom_switch_id].stance_mod = deep_clone(self.parts[based_on_id].stance_mod)
		for _, wpn_id in pairs(self.parts[custom_switch_id].stance_mod) do
			if wpn_id.translation then
				wpn_id.translation = (wpn_id.translation + offset_switch)
			end
		end
		self.parts[custom_switch_id].stance_mod.wpn_fps_smg_cobray = {translation = offset_switch}
		self.parts[custom_switch_id].stance_mod.wpn_fps_ass_asval = {translation = offset_switch}
		self.parts[custom_switch_id].stance_mod.wpn_fps_ass_sub2000 = {translation = offset_switch}
	end
	for _, part_id in pairs(self.parts) do
		if part_id.override and part_id.override[based_on_id] then
			part_id.override[custom_sight_id] = deep_clone(part_id.override[based_on_id])
			part_id.override[custom_switch_id] = deep_clone(part_id.override[based_on_id])
			if part_id.override[custom_sight_id].stance_mod then
				for _, wpn_id in pairs(part_id.override[custom_sight_id].stance_mod) do
					if wpn_id.translation then
						wpn_id.translation = (wpn_id.translation + offset)
					end
				end
			end
			if part_id.override[custom_switch_id].stance_mod then
				for _, wpn_id in pairs(part_id.override[custom_switch_id].stance_mod) do
					if wpn_id.translation then
						wpn_id.translation = (wpn_id.translation + offset_switch)
					end
				end
			end
		end
	end
end)